"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createStackOutputs = void 0;
const aws_cdk_lib_1 = require("aws-cdk-lib");
const graphql_transformer_common_1 = require("graphql-transformer-common");
const createStackOutputs = (scope, endpoint, apiId, arn) => {
    const { OpenSearchDomainArn, OpenSearchDomainEndpoint } = graphql_transformer_common_1.ResourceConstants.OUTPUTS;
    new aws_cdk_lib_1.CfnOutput(aws_cdk_lib_1.Stack.of(scope), OpenSearchDomainArn, {
        value: arn,
        description: 'OpenSearch instance Domain ARN.',
        exportName: aws_cdk_lib_1.Fn.join(':', [apiId, 'GetAtt', 'OpenSearch', 'DomainArn']).toString(),
    });
    new aws_cdk_lib_1.CfnOutput(aws_cdk_lib_1.Stack.of(scope), OpenSearchDomainEndpoint, {
        value: `https://${endpoint}`,
        description: 'OpenSearch instance Domain Endpoint.',
        exportName: aws_cdk_lib_1.Fn.join(':', [apiId, 'GetAtt', 'OpenSearch', 'DomainEndpoint']).toString(),
    });
};
exports.createStackOutputs = createStackOutputs;
//# sourceMappingURL=create-cfnOutput.js.map