import { MappingTemplateProvider } from '@aws-amplify/graphql-transformer-interfaces';
import { BaseDataSource } from 'aws-cdk-lib/aws-appsync';
import { Construct } from 'constructs';
import { GraphQLApi } from './graphql-api';
export interface BaseFunctionConfigurationProps {
    readonly requestMappingTemplate: MappingTemplateProvider;
    readonly responseMappingTemplate: MappingTemplateProvider;
    readonly description?: string;
}
export interface FunctionConfigurationProps extends BaseFunctionConfigurationProps {
    readonly api: GraphQLApi;
    readonly dataSource: BaseDataSource | string;
}
export declare class AppSyncFunctionConfiguration extends Construct {
    readonly arn: string;
    readonly functionId: string;
    private function;
    constructor(scope: Construct, id: string, props: FunctionConfigurationProps);
}
//# sourceMappingURL=appsync-function.d.ts.map